#ifndef MATCHIO_H
#define MATCHIO_H

#include "../graph/hashgraph.h"
#include <set>
#include "../orthology/ortholog.h"
#include <hash_set.h>
#include <iostream>
#include "../graphmatch/graphmatch.h"
#include "gdf.h"

void writeMatch(
		ostream& s, 
		GraphMatch& M
		);

void writeMatchGRF(
		ostream& s, 
		HashGraph* G1, 
		OrthologInfoList* pOrthinfolist1, 
		HashGraph* G2, 
		OrthologInfoList* pOrthinfolist2, 
		GraphMatch& M, 
		Ortholog& orth
		);

void writeMatchGML(
		ostream& s, 
		HashGraph* G1, 
		OrthologInfoList* pOrthinfolist1, 
		HashGraph* G2, 
		OrthologInfoList* pOrthinfolist2, 
		GraphMatch& M
		);

void writeMatchDOT(
		ostream & s, 
		HashGraph * G1, 
		OrthologInfoList* pOrthinfolist1, 
		int** D1, 
		HashGraph * G2, 
		OrthologInfoList* pOrthinfolist2, 
		int** D2, 
		GraphMatch & M
		);

void writeMatchGDF(
		ostream & s, 
		HashGraph * G1, 
		OrthologInfoList* pOrthinfolist1, 
		HashGraph * G2, 
		OrthologInfoList* pOrthinfolist2, 
		GraphMatch & M, 
		Ortholog& orth
		);

#endif
