#include "datastruct.h"

bool operator < (const GroupDistance& d1, const GroupDistance& d2)
{
	if(d1.freqDist<d2.freqDist)
		return true;
	else if(d1.freqDist>d2.freqDist)
		return false;
	else
	{
		if(d1.minusNumAgree!=d2.minusNumAgree)
			return (d1.minusNumAgree<d2.minusNumAgree);
		else
			return (d1.minGroupSize<d2.minGroupSize);
	}
}

bool operator > (const GroupDistance& d1, const GroupDistance& d2)
{
	return (d2<d1);
}

bool operator == (const GroupDistance& d1, const GroupDistance& d2)
{
	if(d1.freqDist<d2.freqDist || d1.freqDist>d2.freqDist)
		return false;
	else
		return (d1.minusNumAgree==d2.minusNumAgree && d1.minGroupSize==d2.minGroupSize);
}

bool operator <= (const GroupDistance& d1, const GroupDistance& d2)
{
	if(d1.freqDist<d2.freqDist)
		return true;
	else if(d1.freqDist>d2.freqDist)
		return false;
	else
	{
		if(d1.minusNumAgree!=d2.minusNumAgree)
			return (d1.minusNumAgree<d2.minusNumAgree);
		else
			return (d1.minGroupSize<=d2.minGroupSize);
	}
}

bool operator >= (const GroupDistance& d1, const GroupDistance& d2)
{
	return (d2<=d1);
}
